---
title: Intl.DisplayNames() constructor
slug: Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/DisplayNames
tags:
  - API
  - Constructor
  - Example
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.DisplayNames()</code></strong> constructor creates objects that enables the consistent translation of language, region and script display names.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-displaynames.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Intl.DisplayNames(<var>locales</var>, <var>options</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>locales</code> {{optional_inline}}</dt>
 <dd>
 <p>A string with a BCP 47 language tag, or an array of such strings. For the general form and interpretation of the <code>locales</code> argument, see the {{jsxref("Intl", "Intl page", "#Locale_identification_and_negotiation", 1)}}. The following Unicode extension key is allowed:</p>

 <dl>
  <dt><code>nu</code></dt>
  <dd>The numbering system to be used. Possible values include: <code>"arab"</code>, <code>"arabext"</code>, <code>"bali"</code>, <code>"beng"</code>, <code>"deva"</code>, <code>"fullwide"</code>, <code>"gujr"</code>, <code>"guru"</code>, <code>"hanidec"</code>, <code>"khmr"</code>, <code>"knda"</code>, <code>"laoo"</code>, <code>"latn"</code>, <code>"limb"</code>, <code>"mlym"</code>, <code>"mong"</code>, <code>"mymr"</code>, <code>"orya"</code>, <code>"tamldec"</code>, <code>"telu"</code>, <code>"thai"</code>, <code>"tibt"</code>.</dd>
 </dl>
 </dd>
 <dt><code>options</code></dt>
 <dd>
 <p>An object with some or all of the following properties:</p>

 <dl>
  <dt><code>localeMatcher</code></dt>
  <dd>The locale matching algorithm to use. Possible values are <code>"lookup"</code> and <code>"best fit"</code>; the default is <code>"best fit"</code>. For information about this option, see the {{jsxref("Global_Objects/Intl", "Intl page", "#Locale_negotiation", 1)}}.</dd>
  <dt><code>style</code></dt>
  <dd>The formatting style to use, the default is <code>"long"</code>.
  <ul>
   <li><code>"narrow"</code></li>
   <li><code>"short"</code></li>
   <li><code>"long"</code></li>
  </ul>
  </dd>
  <dt><code>type</code></dt>
  <dd>The type to use.
  <ul>
   <li><code>"language"</code></li>
   <li><code>"region"</code></li>
   <li><code>"script"</code></li>
   <li><code>"currency"</code></li>
  </ul>
  </dd>
  <dt><code>fallback</code></dt>
  <dd>The fallback to use, the default is <code>"code"</code>.
  <ul>
   <li><code>"code"</code></li>
   <li><code>"none"</code></li>
  </ul>
  </dd>
 </dl>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>In basic use without specifying a locale, a formatted string in the default locale and with default options is returned.</p>

<pre class="brush: js notranslate">console.log((new Intl.DisplayNames([], {type: 'language'})).of('US'));
// Expected output: 'us'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('Intl.DisplayNames', '#sec-intl-displaynames-constructor', 'the Intl.DisplayNames constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.DisplayNames.DisplayNames")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Intl.DisplayNames")}}</li>
</ul>
